Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class TieClusteringUtilities

    java.lang.Object
      oracle.ifs.common.ClusteringUtilities
          oracle.ifs.common.TieClusteringUtilities

    public class TieClusteringUtilities

extends ClusteringUtilities

TieClusteringUtilities allows the Oracle-defined behavior of the ClusteringUtilities class to be extended or overridden.

Field Summary

Fields inherited from class oracle.ifs.common.ClusteringUtilities
`DEFAULT_DECLARED_AGENT_IDENTIFIERS, DEFAULT_DECLARED_AGENT_NODES, DEFAULT_DISABLED_AGENT_IDENTIFIERS, DEFAULT_EVENT_NOTIFICATION_ENABLED, DEFAULT_REGISTRATION_PERIOD, DEFAULT_REGISTRATION_PERIOD_VALUE, NODE_REGISTRATION_TYPE_ACTIVE, NODE_REGISTRATION_TYPE_EXPIRED, PROPERTY_DECLARED_AGENT_IDENTIFIERS, PROPERTY_DECLARED_AGENT_NODES, PROPERTY_DISABLED_AGENT_IDENTIFIERS, PROPERTY_EVENT_NOTIFICATION_ENABLED, PROPERTY_REGISTRATION_PERIOD, SYSTEM_AGENT_TOKEN_CREATED, SYSTEM_AGENT_TOKEN_FREED, SYSTEM_AGENT_TOKEN_REGISTREE_ADDED, SYSTEM_AGENT_TOKEN_REGISTREE_EXPIRED, SYSTEM_AGENT_TOKEN_REGISTREE_REMOVED, SYSTEM_AGENT_TOKEN_STANDBY_ADDED, SYSTEM_AGENT_TOKEN_STANDBY_EXPIRED, SYSTEM_AGENT_TOKEN_STANDBY_REMOVED, SYSTEM_NODE_TOKEN_CREATED, SYSTEM_NODE_TOKEN_EXPIRED, SYSTEM_NOTIFIED, SYSTEM_UPGRADED, TOKEN_NAME_AGENT_PREFIX, TOKEN_NAME_HANDLER_PREFIX, TOKEN_NAME_INTERNAL_AGENT_PREFIX, TOKEN_NAME_NODE_PREFIX`

Constructor Summary
`TieClusteringUtilities()`

Method Summary

Methods inherited from class oracle.ifs.common.ClusteringUtilities
`addDeclaredAgentNode, addNodeTokenInfo, findOrCreateToken, findToken, getAllServerTokenInfoByNode, getBooleanClusteringProperty, getClusteringProperty, getClusteringPropertyBundle, getDeclaredAgentIdentifiers, getDeclaredAgentNodes, getDefaultDomain, getDisabledAgentIdentifiers, getIntegerClusteringProperty, getLongClusteringProperty, getNodeTokenString, getPaddingString, getRegistrationPeriod, getRegistrationPeriodValue, getServerTokenString, getStringArrayClusteringProperty, getStringClusteringProperty, initializeClusteringPropertyBundle, isAgentIdentifierDisabled, isDeclaredAgentNode, isEventNotificationEnabled, postAgentTokenFreed, postAgentTokenHolderAdded, postAgentTokenHolderExpired, postAgentTokenHolderRemoved, postClusteringChangeNotification, postClusteringChangeNotification, postNodeTokenExpired, postTokenCreation, selectAllNodeTokens, selectAllServerTokens, selectAllTokensByPattern, selectServerTokensByNode, setClusteringProperty, setDeclaredAgentIdentifiers, setDeclaredAgentNodes, setDisabledAgentIdentifiers, setEventNotificationEnabled, setRegistrationPeriod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieClusteringUtilities

    public TieClusteringUtilities()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD